/****************************************************************************
*
*	  Header Filename:  GLOBLDEF.H
*	  Module Name:      General Usage
*	  Description:      Globally used defines
*	  Author:   		Chris Gordon-Smith
*
*     Copyright (C) 2003, 2004, 2005, 2006, 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License Version 2, as published 
*     by the Free Software Foundation.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*
*	  Amendment History:-
*
*		Version	   Date	   			Update Description
*		=======    ===========		==================
*
*
*
*
****************************************************************************/

#if !defined( GLOBLDEF_H )
#define GLOBLDEF_H

#define ENABLE_SYSTEM_MONITOR 

//   Comment out to dis-allow file level trace
#define ENABLE_TRACE_GLOBAL  

#include "c_cust.h"  // C Language customisation
#endif  //GLOBLDEF_H
