/****************************************************************************
*
*	  Header Filename: Exception_Types.h
*	  Module Name:     Exception_Types
*	  Description:     Exception classes. Derived from std::exception
*	  Author:   	   Chris Gordon-Smith
*
*     Copyright (C) 2003, 2004, 2005, 2006, 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License Version 2, as published 
*     by the Free Software Foundation.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*
*	  Amendment History:-
*
*		Version	   Date	   			Update Description
*		=======    ===========		==================
*
*
*
*
****************************************************************************/

#ifndef Exception_Types_H
#define Exception_Types_H
#include  <exception>
//----------------------------------------------------------------------------------------------------------

class Exception
{
    public:
        Exception () {Exception_String = string("");};
        Exception(string Exception_Text){Exception_String = Exception_Text;};
        string Get_Error_Text(){return Exception_String;};
    protected:
        string Exception_String;
};


class  Create_Error : public Exception
{
    public:
        Create_Error(string Exception_Text){Exception_String = Exception_Text;};
};  
#endif  //Exception_Types_H
//----------------------------------------------------------------------------------------------------------
