/****************************************************************************
*
*	  Header Filename:  Form_Simulation_Control.h
*	  Module Name:      Form_Simulation_Control
*	  Description:      Simulation Control Panel
*	  Author:           Chris Gordon-Smith
*
*     Copyright (C) 2005, 2006, 2008 Chris Gordon-Smith
*     Email: See  http://www.simsoup.info
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License Version 2, as published 
*     by the Free Software Foundation.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*
*      Amendment History:- 
*
*              Version	  Date                        Update Description
*              =======    ===========                 ==================
*
*
*
*
****************************************************************************/

#ifndef Form_Simulation_Control_H
#define Form_Simulation_Control_H

class   Form_Simulation_Control

{
    public:
        static void Make();
        static Form_Simulation_Control* Get_Ptr(); 
        void    List_Current_Scenario();        
        void   Redisplay_Form();
        static bool   Exists();
//        void   New_Scenario(bool Warn_User);
        void   Clear_Log();
        void   Output_Log_Entry(string Output);
        void   Output_Simple_Log_Entry(string Output);
        void   Output_Default_Parameters_To_Log();
        void   Export_Scenario();
             
    private:
        static  Form_Simulation_Control* Instance_Ptr;  // Pointer to singleton instance

        Form_Simulation_Control();
        int        Scenario_Actions_ListView_Width;
};
#endif  //Form_Simulation_Control_H
